﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using api_checklist_teste.Repository;

namespace api_checklist_teste.Migrations
{
    [DbContext(typeof(CheckListContext))]
    partial class CheckListContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "3.1.10")
                .HasAnnotation("Relational:MaxIdentifierLength", 64);

            modelBuilder.Entity("api_checklist_teste.Models.Conhecimento", b =>
                {
                    b.Property<int>("ConhecimentoId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    b.Property<string>("Ambiente")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<string>("Autor")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<DateTime>("Data")
                        .HasColumnType("datetime(6)");

                    b.HasKey("ConhecimentoId");

                    b.ToTable("Conhecimento");
                });
#pragma warning restore 612, 618
        }
    }
}
